Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getWirelessBilling({
networkId: "string",
});
export const merakiNetworksWirelessBillingExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_wireless_billing(network_id="string")
pulumi.export("merakiNetworksWirelessBillingExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupWirelessBilling(ctx, &networks.LookupWirelessBillingArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksWirelessBillingExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetWirelessBilling.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksWirelessBillingExample"] = example.Apply(getWirelessBillingResult => getWirelessBillingResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetWirelessBillingArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getWirelessBilling(GetWirelessBillingArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksWirelessBillingExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getWirelessBilling
arguments:
networkId: string
outputs:
merakiNetworksWirelessBillingExample: ${example.item}
Using getWirelessBilling
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getWirelessBilling(args: GetWirelessBillingArgs, opts?: InvokeOptions): Promise<GetWirelessBillingResult>
function getWirelessBillingOutput(args: GetWirelessBillingOutputArgs, opts?: InvokeOptions): Output<GetWirelessBillingResult>def get_wireless_billing(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetWirelessBillingResult
def get_wireless_billing_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetWirelessBillingResult]func LookupWirelessBilling(ctx *Context, args *LookupWirelessBillingArgs, opts ...InvokeOption) (*LookupWirelessBillingResult, error)
func LookupWirelessBillingOutput(ctx *Context, args *LookupWirelessBillingOutputArgs, opts ...InvokeOption) LookupWirelessBillingResultOutput> Note: This function is named LookupWirelessBilling in the Go SDK.
public static class GetWirelessBilling
{
public static Task<GetWirelessBillingResult> InvokeAsync(GetWirelessBillingArgs args, InvokeOptions? opts = null)
public static Output<GetWirelessBillingResult> Invoke(GetWirelessBillingInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetWirelessBillingResult> getWirelessBilling(GetWirelessBillingArgs args, InvokeOptions options)
public static Output<GetWirelessBillingResult> getWirelessBilling(GetWirelessBillingArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getWirelessBilling:getWirelessBilling
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getWirelessBilling Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Billing Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Wireless Billing Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Billing Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Billing Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Wireless Billing Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetWirelessBillingItem
- Currency string
- The currency code of this node group's billing plans
- Plans
List<Get
Wireless Billing Item Plan> - Array of billing plans in the node group. (Can configure a maximum of 5)
- Currency string
- The currency code of this node group's billing plans
- Plans
[]Get
Wireless Billing Item Plan - Array of billing plans in the node group. (Can configure a maximum of 5)
- currency String
- The currency code of this node group's billing plans
- plans
List<Get
Wireless Billing Item Plan> - Array of billing plans in the node group. (Can configure a maximum of 5)
- currency string
- The currency code of this node group's billing plans
- plans
Get
Wireless Billing Item Plan[] - Array of billing plans in the node group. (Can configure a maximum of 5)
- currency str
- The currency code of this node group's billing plans
- plans
Sequence[Get
Wireless Billing Item Plan] - Array of billing plans in the node group. (Can configure a maximum of 5)
- currency String
- The currency code of this node group's billing plans
- plans List<Property Map>
- Array of billing plans in the node group. (Can configure a maximum of 5)
GetWirelessBillingItemPlan
- Bandwidth
Limits GetWireless Billing Item Plan Bandwidth Limits - The uplink bandwidth settings for the pricing plan.
- Id string
- The id of the pricing plan to update.
- Price double
- The price of the billing plan.
- Time
Limit string - The time limit of the pricing plan in minutes.
- Bandwidth
Limits GetWireless Billing Item Plan Bandwidth Limits - The uplink bandwidth settings for the pricing plan.
- Id string
- The id of the pricing plan to update.
- Price float64
- The price of the billing plan.
- Time
Limit string - The time limit of the pricing plan in minutes.
- bandwidth
Limits GetWireless Billing Item Plan Bandwidth Limits - The uplink bandwidth settings for the pricing plan.
- id String
- The id of the pricing plan to update.
- price Double
- The price of the billing plan.
- time
Limit String - The time limit of the pricing plan in minutes.
- bandwidth
Limits GetWireless Billing Item Plan Bandwidth Limits - The uplink bandwidth settings for the pricing plan.
- id string
- The id of the pricing plan to update.
- price number
- The price of the billing plan.
- time
Limit string - The time limit of the pricing plan in minutes.
- bandwidth_
limits GetWireless Billing Item Plan Bandwidth Limits - The uplink bandwidth settings for the pricing plan.
- id str
- The id of the pricing plan to update.
- price float
- The price of the billing plan.
- time_
limit str - The time limit of the pricing plan in minutes.
- bandwidth
Limits Property Map - The uplink bandwidth settings for the pricing plan.
- id String
- The id of the pricing plan to update.
- price Number
- The price of the billing plan.
- time
Limit String - The time limit of the pricing plan in minutes.
GetWirelessBillingItemPlanBandwidthLimits
- limit_
down int - The maximum download limit (integer, in Kbps).
- limit_
up int - The maximum upload limit (integer, in Kbps).
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
